## r-cran-gridgraphics 0.5

=== DESCRIPTION ===
Package: gridGraphics
Title: Redraw Base Graphics Using 'grid' Graphics
Version: 0.5-0
Authors@R: c(person("Paul", "Murrell", role = c("cre", "aut"),
                    email = "paul@stat.auckland.ac.nz"),
             person("Zhijian", "Wen", role = "aut",
                    email = "jwen246@aucklanduni.ac.nz"))
Description: Functions to convert a page of plots drawn with the 
  'graphics' package into identical output drawn with the 'grid' package.
  The result looks like the original 'graphics'-based plot, but consists
  of 'grid' grobs and viewports that can then be manipulated with 
  'grid' functions (e.g., edit grobs and revisit viewports).
Depends: grid, graphics
Imports: grDevices
Suggests: magick (>= 1.3), pdftools (>= 1.6)
License: GPL (>= 2)
URL: https://github.com/pmur002/gridgraphics
NeedsCompilation: no
Packaged: 2020-02-25 00:26:28 UTC; pmur002
Author: Paul Murrell [cre, aut],
  Zhijian Wen [aut]
Maintainer: Paul Murrell <paul@stat.auckland.ac.nz>
Repository: CRAN
Date/Publication: 2020-02-25 06:40:12 UTC

## r-cran-gridgraphics 0.4-1

=== debian/changelog ===
r-cran-gridgraphics (0.4-1-1) unstable; urgency=medium

  * Initial release (closes: #933237)

 -- Andreas Tille <tille@debian.org>  Sun, 28 Jul 2019 05:58:08 +0200

=== debian/control ===
Source: r-cran-gridgraphics
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridgraphics
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridgraphics.git
Homepage: https://cran.r-project.org/package=gridGraphics

Package: r-cran-gridgraphics
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R redraw base graphics using 'grid' graphics
 Functions to convert a page of plots drawn with the
 'graphics' package into identical output drawn with the 'grid' package.
 The result looks like the original 'graphics'-based plot, but consists
 of 'grid' grobs and viewports that can then be manipulated with
 'grid' functions (e.g., edit grobs and revisit viewports).

## r-cran-gridgraphics 0.5-0

=== debian/changelog ===
r-cran-gridgraphics (0.5-0-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:04:53 +0000

r-cran-gridgraphics (0.5-0-2) unstable; urgency=medium

  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 07:08:31 +0200

r-cran-gridgraphics (0.5-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 27 Feb 2020 11:20:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridgraphics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridgraphics.git
 Homepage: https://cran.r-project.org/package=gridGraphics
+Rules-Requires-Root: no
 
 Package: r-cran-gridgraphics
 Architecture: all

## r-cran-gridgraphics 0.5-1

=== debian/changelog ===
r-cran-gridgraphics (0.5-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 23:27:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gridgraphics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gridgraphics.git
 Homepage: https://cran.r-project.org/package=gridGraphics

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.R" -exec chmod -x \{\} \;
	find debian -name "*.Rd" -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-pdftools, r-cran-magick
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gridGraphics_([-\d.]*)\.tar\.gz
